/*************************************************************************
***** Programm: BIER.EXE
***** Unterprogramm: KREIS.C
***** Begrungsbildschirm und Musikfunktionen
***** Zur Zeit nicht verwendete Grafikausgabe
*****
***** Hauptprogramm: DRU_TEM.C
***** Unterprogramme: TABELL2.C, KREIS.C, ABLAUF.C
*****
***** Autoren: Michael Fey
***** Erstellt am: 27.12.1996
***** Update: 5.1.1997
*************************************************************************/
#include <dos.h>
#include <bios.h>
#include <time.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <graphics.h>


ldiv_t lx;

void musik_bierher();
void Warnton();
void Hinweiston();

void startbildschirm();
void temp_anzeige();


/*************************************************************************
***** startbildschirm() startet das Bierbrau-Programm
*************************************************************************/

void startbildschirm ()
{
   int vTest;
	int gdriver = DETECT, gmode, errorcode;
   int midx, midy;
   int radius = 200;
   int i = 0;
   initgraph(&gdriver, &gmode, "\\TC\\BGI\\");
   errorcode = graphresult();
   if (errorcode != grOk)
   {
      printf("Grafikfehler: %s\n", grapherrormsg(errorcode));
      getch();
exit(1);
   }
   midx=getmaxx() /2;
	midy=getmaxy() /2;
	setbkcolor(BLACK);
	setcolor(getmaxcolor());
	setfillstyle(1,BROWN);
	bar(1,1,getmaxx(),getmaxy());
	setfillstyle(1,RED);
	setcolor(BLACK);
	fillellipse(midx,midy,radius,200);
	settextstyle(1,0,9);
	setcolor(WHITE);
	outtextxy(50,40,"Bierbrauen");
	settextstyle(1,0,8);
	outtextxy(160,160,"mit dem");
	settextstyle(1,0,14);
	outtextxy(250,250,"PC");
 musik_bierher();

	delay(1500);
   setfillstyle(1,BROWN);
   bar(1,1,getmaxx(),getmaxy());
   setcolor(BLACK);
   setfillstyle(1,YELLOW);
   fillellipse(midx,midy,radius,200);
   setcolor(BLACK);
   settextstyle(1,0,9);
   outtextxy(50,40,"Bierbrauen");
   settextstyle(1,0,8);
   outtextxy(160,160,"mit dem");
   settextstyle(1,0,14);
   outtextxy(250,250,"PC");
   delay(1500);
   setfillstyle(1,BROWN);
   bar(1,1,getmaxx(),getmaxy());
   setcolor(BLACK);
   setfillstyle(1,GREEN);
   fillellipse(midx,midy,radius,200);
   setcolor(WHITE);
   settextstyle(1,0,4);
   outtextxy(100,80,"nach einer Idee von");
   settextstyle(1,0,5);
   outtextxy(100,160,"Michael Fey");
   settextstyle(1,0,5);
   outtextxy(130,240,"Peter Potthoff");
   settextstyle(1,0,5);
   outtextxy(160,320,"und Kalle Spahn");
   delay(1500);
   setfillstyle(1,BROWN);
   bar(1,1,getmaxx(),getmaxy());
   setcolor(BLACK);
   setfillstyle(1,GREEN);
   fillellipse(midx,midy,radius,200);
   setcolor(WHITE);
   settextstyle(1,0,4);
	outtextxy(120,120,"Programmiert von");
	settextstyle(1,0,5);
	outtextxy(100,180,"Michael und Markus Fey");
	delay( 1500 );
	cleardevice();
	setcolor(BROWN);
	bar(1,1,getmaxx(),getmaxy());
   setfillstyle(1,LIGHTGRAY);
   bar(1,1,getmaxx(),getmaxy());
	closegraph();
}

/*************************************************************************
***** Lied "Bier her ..." zum Startbildschirm
*************************************************************************/

void musik_bierher()
{
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(349);
	delay(250);
	sound(329);
	delay(250);
	sound(349);
	delay(250);
	sound(293);
	delay(250);
	sound(329);
	delay(250);
	sound(440);
	delay(250);
	sound(392);
	delay(500);
	nosound();
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(349);
	delay(250);
	sound(329);
	delay(250);
	sound(349);
	delay(250);
	sound(293);
	delay(250);
	sound(262);
	delay(500);
	nosound();
}

/*************************************************************************
***** Warnton bei Gefahr
*************************************************************************/

void Warnton()
{
	int i;
	for(i=0;i<8;i++)
		{
			sound(880);
			delay(50);
			sound(440);
			delay(50);
			nosound();
			delay(200);
		}
}

/*************************************************************************
***** Hinweiston bei neuen Prgrammschritten
*************************************************************************/

void Hinweiston()
{
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(392);
	delay(500);
	sound(329);
	delay(500);
	sound(349);
	delay(250);
	sound(329);
	delay(250);
	sound(349);
	delay(250);
	sound(293);
	delay(250);
	sound(329);
	delay(250);
	sound(440);
	delay(250);
	sound(392);
	delay(500);
	nosound();
}

/*************************************************************************
***** Anzeige der Temperatur in Grad Celsius und einem Balken
*************************************************************************/

void temp_anzeige()
	{
	char string1[40+1];
	char string2[40+1];
	float dTemperatur = tempmess()/10;
	int dTempHund = dTemperatur / 1;
	int dTempDez = (dTemperatur * 100) - (dTempHund * 100);
	int vTest1;
	setcolor(BLUE);
	settextstyle(1,0,4);
	outtextxy(getmaxx()/10*1, getmaxy()/10*8,"Temperatur:");
	setfillstyle(1,RED);
	bar(getmaxx()/20*18,getmaxy()/10*9-(getmaxy()-getmaxy()/10)/100*dTemperatur,
	 getmaxx()/20*19, getmaxy()/10*9);

   itoa(dTempHund,string1,10);
   itoa(dTempDez,string2,10);
   strcat(string1,",");
   strcat(string1,string2);
   strcat(string1," Celsius");
   settextstyle(1,0,4);
   outtextxy(getmaxx()/100*50, getmaxy()/10*8,"                      ");
   outtextxy(getmaxx()/100*50, getmaxy()/10*8,string1);
}
/*************************************************************************
*************************************************************************/



/********* Eventuell die Funktion in DRU_TEMP modifizieren **********

int temp_messung()
   {
   int dZaehler = 0, dTemperatur;
   int dFlag = 0;
   int i = 0;
   int dEnde = 0;
   int dBreak = 0;
   int dTest = 0;


  do
  {
    i++;
    dFlag = 0;
    dEnde = 0;
      do
      {  dTest = inportb(0x379);
      } while (dTest > 184);
      dZaehler = 0;

    do
    {
      dTest = inportb(0x379);
      dTest = dTest + dFlag;
      switch(dTest)
	 {
	 case 136: dFlag = 0;  break;
	 case 137: dFlag = 0;  break;
	 case 152: dFlag = 0;  break;
	 case 153: dFlag = 0;  break;

	 case 200: dFlag = 0;  dEnde = 1; break;
	 case 216: dFlag = 0;  dEnde = 1; break;
	 case 232: dFlag = 0;  dEnde = 1; break;
	 case 248: dFlag = 0;  dEnde = 1; break;
	 case 201: dFlag = 0;  dEnde = 1; break;
	 case 217: dFlag = 0; dEnde = 1; break;
	 case 233: dFlag = 0; dEnde = 1; break;
	 case 249: dFlag = 0; dEnde = 1; break;
	 case 168: dZaehler ++;
		   dFlag = 1;
		   break;
	 case 184: dZaehler ++;
		   dFlag = 1;
		   break;
	 case 169: break;
	 case 185: break;

	 default: printf("Fehler!\n");
	 }
    }while (dEnde < 1);
  }while (i<3);
   if (dBreak == 1)
      printf ("Fehler in der Elektronik. Bitte Platine berprfen!\n");
   dTemperatur = dZaehler/100;
   return (dTemperatur);
   }

*/



